Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/09/2020 in all areas

  1. Not as slick as @Tharwat's code you can also use the align command with a couple of screen picks.
    1 point
  2. @Cad64 that is an outstanding graphic, thanks for posting it. It reminds me of one of my all time favorite T-shirts, Which said... Pick two GOOD FAST CHEAP But this is even better for all the nuance.
    1 point
  3. If you really must use a LISP code, (defun ListLayerByPattern (pat / ly nm rtn) (while (setq ly (tblnext "layer" (null ly))) (if (wcmatch (setq nm (cdr (assoc 2 ly))) pat) (setq rtn (cons nm rtn)) ) ) (reverse rtn) ) so you can call it like: (ListLayerByPattern "29`-barge`-[1-9]*") Or apply a function to every matching layer ;; pat - matching pattern by layer name ;; fnc - function accepting one argument that represents the layer name (defun ApplyToLayerByPattern (pat fnc / ly nm) (while (setq ly (tblnext "layer" (null ly))) (if (wcmatch (setq nm (cdr (assoc 2 ly))) pat) (eval (list fnc nm)) ) ) ) For example, this one freezes all layers of the matching pattern except for the current layer: (defun c:test ( / cur lys) (setq lys (vla-get-Layers (vla-get-ActiveDocument (vlax-get-acad-object))) cur (getvar 'clayer)) (ApplyToLayerByPattern "29`-barge`-[1-9]*" '(lambda (x) (and (not (wcmatch cur "29`-barge`-[1-9]*")) (vla-put-Freeze (vla-item lys x) :vlax-true) ) ) ) )
    1 point
  4. I used to do a lot of this sort of thing using 3D Studio Max. It has some really nice functionality that allows you to insert the photo of the room and then set up your rendering camera to match the camera used to take the photo. Then you simply maneuver your model around until you have it placed where you want it, in relation to the photo, and hit render. Of course, you have to set up your materials, and make sure the lighting matches the light sources in the photo and you have to place shadow catchers around the model to capture shadows, etc., but after you get everything set up, you hit render and you will get a complete image of the room and the furniture model without having to do any post work in Photoshop. Or you can render the model without the background image and composite in Photoshop. It's up to you. The downside to 3D Studio Max is that it's very expensive and it has a steep learning curve. So it may not be the best option for your situation. These days, I think most 3D programs have the same sort of functionality though, so like Steven-g said, it would be best to talk to your boss about what he expects. Some bosses want very simple, quick and dirty, conceptual style renders while others might want complete realism. It all depends on how fast it needs to be done and how much money is in the budget. In my experience, the boss always wants it done fast, cheap and great which is a complete impossibility, as the graphic below illustrates.
    1 point
  5. Not sure where this thread is going but are you familiar with layer property filters?
    1 point
  6. there are going to be so many options. I have worked in that industry fo a long time, and there a great many software packages that are designed specially for furniture manufacturing, but staying with AutoDesk, one I would look at is Fusion 360. I don't use it a lot but it is fairly straight forward, it allows you to do rendering and animations, and for personal use (even for small business's - up to 100K a year) it is free to use. There a great many tutorials on Youtube, here's a post about rendering which a quick google search turned up. I'd also suggest having a word with your boss and ask exactly what type of results, and even what software they would expect the future perspective employee to be using, most companies have an idea of what they are looking for to start with.
    1 point
×
×
  • Create New...